#include "xsurfacecollisionleaf.h"

XSurfaceCollisionLeaf::XSurfaceCollisionLeaf()
    : XAsset()
    , mTriangleBeginIndex(0)
{
    SetName("Surface Collision Leaf");
}

void XSurfaceCollisionLeaf::ParseData(XDataStream *aStream)
{
    *aStream >> mTriangleBeginIndex;
}

void XSurfaceCollisionLeaf::Clear()
{
    mTriangleBeginIndex = 0;
}
